summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJon TURNEY <jon.turney@dronecode.org.uk>2010-10-21 14:55:33 +0100
committerJon TURNEY <jon.turney@dronecode.org.uk>2010-10-21 14:55:33 +0100
commit2c1528e3cefff38dcecabdc81062046dc768da7b (patch)
tree34b5885e2cc8e983e4594b97b761280370010218
parentb1f2a6eaac8177d838ddb4fb671dc4a8f95fe765 (diff)
Don't return non-zero exit code if pass/fail counts appear to have regressed
This isn't stable enough at the moment to be worthy of making the tinderbox go red
-rwxr-xr-xglean-test.sh9
1 files changed, 5 insertions, 4 deletions
diff --git a/glean-test.sh b/glean-test.sh
index e344911..e62bc2f 100755
--- a/glean-test.sh
+++ b/glean-test.sh
@@ -12,17 +12,18 @@ cat /tmp/glean.log
# crudely summarize pass/fail statistics
PASS=`grep -c "PASS " /tmp/glean.log`
FAIL=`grep -c "FAIL " /tmp/glean.log`
-echo "PASS: $PASS FAIL: $FAIL"
# compare with previous statistics
PREV_PASS=`cat .glean.pass || echo 0`
-PREV_FAIL=`cat .glean.fail || echo 0`
+PREV_FAIL=`cat .glean.fail || echo 9999`
EXITCODE=0
if [ $PASS -lt $PREV_PASS ] || [ $FAIL -gt $PREV_FAIL ] ; then
# report an error
- echo "Error: current worse than previous PASS: $PREV_PASS FAIL: $PREV_FAIL"
- EXITCODE=1
+ echo
+ echo "Warning: current PASS: $PASS FAIL: $FAIL worse than previous PASS: $PREV_PASS FAIL: $PREV_FAIL"
+ echo
+ #EXITCODE=1
else
# record pass/fail counts for checking next time
echo $PASS >.glean.pass